/***文档注释***********************************************
 * 作者               :                   龙文航
 * 创建日期      :                   2017.12.09
 * 描述               :                   仓库管理-成品库管理-调拨单管理
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Lms.Warehouse.mapper;

import java.util.List;

import market.Lms.Warehouse.vo.YdmBaseButtressconfig;
import market.Lms.Warehouse.vo.YdmProductDetail;

import org.apache.ibatis.annotations.Param;

import com.hnshituo.orm.GenericMapper;

public interface YdmBaseButtressconfigMapper extends GenericMapper<YdmBaseButtressconfig,Object> {
	public String GetmaxButtressno();
	
	public String GetmaxAreano(String sortcode);
	
	public String Getmaxbuttressno(String sortcode);
	
	public List<YdmBaseButtressconfig> doQueryWebBySQLButtress(int beginindex,int endindex,String sortcode);
	
	public int doQueryWebBySQLButtressCount(String sortcode);
	
	public String GetManagementNo(String storageattr);

	//通过父类编码和类型查询垛位或区域
	public List<YdmBaseButtressconfig> doQueryButtressBySortcode(@Param("sortcode") String sortcode, @Param("storagesort") String storagesort);

	//根据垛位编码获取垛位信息和库存信息
	List<YdmProductDetail> queryKCInfoByButtressInfo(YdmBaseButtressconfig ybb);

	//根据垛位编码获取垛位信息
	List<YdmBaseButtressconfig> queryButtressInfoByButtressno(@Param("buttressno")String buttressno);
}
